
Summary: NetworkManager DUID-LLT generator workaround
Name: NetworkManager-DUID-LLT
Version: 0.1
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
Group: CERN/Utilities
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Linux.Support@cern.ch
Vendor:  CERN 
License: GPL
Requires: coreutils,gawk,net-tools,sed,grep,bc
Requires: NetworkManager
BuildArch: noarch

%description
NetworkManager-DUID-LLT is a workaround for NetworkManager
generating only DUID-UUID while on CERN network we require
DUID-LL(T) for DHCPv6.

%changelog
* Wed Nov 02 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 1.3.18-1
- initial build 
%prep
%setup 

%build


%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}

install -m 755 %{name} $RPM_BUILD_ROOT/%{_sbindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/

install -m 755 %{name}.service $RPM_BUILD_ROOT/usr/lib/systemd/system/

%clean

rm -rf $RPM_BUILD_ROOT

%post 
/bin/systemctl enable %{name} 2>/dev/null
/bin/systemctl start %{name}

%preun
/bin/systemctl --no-reload disable %{name} 2>/dev/null

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/%{name}
/usr/lib/systemd/system/%{name}.service
